// function reloadFromServer() {
// 	location.reload(true); //“true” parameter to reload from server, not cache
// }

//on page load
if (typeof(Storage) !== "undefined") { // check browser support for localStorage

	// Code for localStorage/sessionStorage.
	if (localStorage.bhLastLoadedDate) {

		var bhLastLoadedDate = new Date(localStorage.bhLastLoadedDate);
		var currentDate = new Date();

		// if bhLastLoadedDate is different from currentDate
		if (bhLastLoadedDate.getFullYear() != currentDate.getFullYear() ||
			bhLastLoadedDate.getMonth() != currentDate.getMonth() ||
			bhLastLoadedDate.getDate() != currentDate.getDate()) {

			// replace localStorage.bhLastLoadedDate with current date
			localStorage.bhLastLoadedDate = new Date();

			// reload current document (does the same as the reload button in the browser), delayed to give service worker time
			//setTimeout(reloadFromServer, 200);
			location.reload(true); //“true” parameter to reload from server, not cache
			//window.location.href = window.location.href.split( '#' )[0];
		}
	}
	else {
		// initialize localStorage.bhLastLoadedDate with current date
		localStorage.bhLastLoadedDate = new Date();
	}
}
